imports.create
POST /api/v1/boards/{id}/imports. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.publish permission on the board.…
POST
/api/v1/boards/{id}/imports
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/imports \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "urls": [ "https://example.com" ], "retry": true }'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.publish permission on the board. Body limit: 256 KB.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
urls
required
Array<string>
retry
boolean
Example generated
{ "urls": [ "https://example.com" ], "retry": true}Responses
Section titled “Responses”Success.
Media typeapplication/json
default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}